Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodereplacechildnomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodereplacechildnomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "replaceChild(newChild,oldChild)" method causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference execute the "replaceChild(newChild,oldChild)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-785887307 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-785887307')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-785887307 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodereplacechildnomodificationallowederr.xml

Definition at line 47 of file nodereplacechildnomodificationallowederrEE.java.

## Constructor & Destructor Documentation

nodereplacechildnomodificationallowederrEE::nodereplacechildnomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file nodereplacechildnomodificationallowederrEE.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String nodereplacechildnomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 79 of file nodereplacechildnomodificationallowederrEE.java.
    00079                                 {
    00080       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodereplacechildnomodificationallowederrEE";
    00081    }

void nodereplacechildnomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 82 of file nodereplacechildnomodificationallowederrEE.java. References DOMTestCase::doMain().
    00082                                           {
    00083         DOMTestCase.doMain(nodereplacechildnomodificationallowederrEE.class,args);
    00084    }

void nodereplacechildnomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file nodereplacechildnomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       Node entRef;
    00058       Node entText;
    00059       Node createdNode;
    00060       Node replacedChild;
    00061       doc = load("staff");
    00062       entRef = doc.createEntityReference("ent3");
    00063       entText = entRef.getFirstChild();
    00064       createdNode = doc.createElement("newChild");
    00065
    00066         {
    00067                 boolean success = false;
    00068                 try {
    00069                         replacedChild = entRef.replaceChild(createdNode,entText);
    00070
    00071                 }
    00072                 catch(DOMException ex) {
    00073                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00074                 }
    00075                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00076         }
    00077
    00078    }

The documentation for this class was generated from the following file:

- nodereplacechildnomodificationallowederrEE.java